import { jsx } from "react/jsx-runtime";
import { TruckTrailer as TruckTrailer$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TruckTrailer = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "TruckTrailer", ...props, children: /* @__PURE__ */ jsx(TruckTrailer$1, { weight: variant }) });
  }
);
TruckTrailer.displayName = "TruckTrailer";
Object.assign(TruckTrailer, { isGdsIcon: true });
export {
  TruckTrailer
};
